Katello - Bug #6919

On host creation with no environment Ul displays no error, but silently fails
08/04/2014 01:53 PM - Brad Buckingham
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1113588
Description of problem:
After submitting new host creation form, with empty environment, no error is shown, but host fails to get created.

After looking into logs | find:

Parameters: {"utf8"=>"[", "authenticity_token"=>"qyy7JFS8ZLGfIxcYb39p/4z7sBMzogO4wkyLbxrDQaI=", "h
ost"=>{"name"=>"test0", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"", "compute_r
esource_id"=>"", "environment_id"=>"", "content_source_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_
proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "do
main_id"=>"1", "realm_ id"=>"", "mac"=>"AA:AA:AA:00:00:00", "ip"=>"333.333.333.333", "interfaces_at
tributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"", "name"=>"",
"domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"2", "operatingsystem_id"=>"1
", "provision_method"=>"build", "build"=>"1", "medium_id"=>"1", "ptable_id"=>"7", "disk"=>"", "roo
t_pass"=>"[FILTERED]", "is_owned_by"=>"1-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "o
verwrite"=>"false"}, "kt_environment_id"=>""}
Failed to save: Environment can't be blank

This error should have been propagated to ui.

Associated revisions

Revision 64dc2943 - 08/04/2014 04:15 PM - Brad Buckingham

fixes #6919 / BZ 1113588 - host - show validation error if no puppet environment

This commit contains a small change so that if the user doesn't provide
a puppet environment, they'll see the validation error sent by the server.

E.g. Puppet Environment: [] can't be blank
The code change is to ensure that the html rendered includes

‘for="environment_id", which is used to support displaying
the error associated with that attribute.

Revision 2b1775f0 - 08/11/2014 03:32 PM - Brad Buckingham
Merge pull request #4527 from bbuckingham/issue-6919

fixes #6919 / BZ 1113588 - host - show validation error if no puppet environment

History

#1 - 08/04/2014 01:54 PM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 54

- Triaged changed from No to Yes
#2 - 08/04/2014 04:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4527 added
- Pull request deleted ()

#3 - 08/11/2014 04:01 PM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|64dc29431b9a4929ca8fc80cb39b3ca3ac52dcab.

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
